@import "../colors.css";

* {
    font-family: 'Public Sans', 'serif';
}

html, body {
    height: 100%;
}

body {
    background-image: url(/assets/image/dekada-login-bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.center-div {
    max-width: 400px;
    width: 100%;
    min-height: 100px;
    padding: 20px;
}

.center-div .input-row {
    margin-bottom: 10px;
}

.center-div .input-row .error-msg {
    font-size: 12px;
    color: #ff6156;
    padding: 0 25px;
    display: block;
}

.center-div .input-wrap {
    position: relative;
    color: #ffffff;
    /*margin-bottom: 20px;*/
    height: 50px;
    width: 100%;
    background-color: #ffffff33;
    outline: none;
    border: none;
    border-radius: 10em;
    text-indent: 20px;
}

.center-div .input-label {
    position: absolute;
    top: 13px;
    left: 6px;
    transition: all 200ms;
}

.center-div .input-wrap input:focus ~ label,
.center-div .input-wrap input:not(:placeholder-shown) ~ label {
    top: 5px;
    left: 1px;
    font-size: 12px;
    color: #9ac016;
}

.center-div input {
    background: none;
    border: none;
    outline: none;
    position: absolute;
    bottom: 5px;
    color: #ffffff;
    width: 100%;
    display: block;
    text-indent: 20px;
}

.center-div button {
    color: #ffffff;
    margin-bottom: 20px;
    height: 50px;
    width: 100%;
    outline: none;
    border: none;
    border-radius: 10em;
    background-color: var(--accent-color);
}


.logo {
    width: 150px;
    display: block;
    margin: 0 auto 20px auto;
}

.bg-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #000000b5;
    z-index: -1;
}

.required-star {
    display: none;
}

.center-div .input-wrap span.error-msg {
    position: absolute;
    bottom: -18px;
    left: 7px;
    font-size: 12px;
    color: #ff6156;
}

.form-error span.error-msg {
    font-size: 12px;
    color: #ff6156;
    display: block;
    text-align: center;
    margin-bottom: 10px;
}

.form-info span.info-msg {
    font-size: 12px;
    color: #9bc116;
    display: block;
    text-align: center;
    margin-bottom: 10px;
}

.login-btn {
    background: #378a15;
    background: -webkit-gradient(linear, left top, right top, from(#378a15), to(#9bc116));
    background: -webkit-gradient(linear, left top, right top, color-stop(0, #378a15), to(#9bc116));
    background: -webkit-linear-gradient(left, #378a15 0, #9bc116 100%);
    background: -o-linear-gradient(left, #378a15 0, #9bc116 100%);
    background: linear-gradient(to right, #378a15 0, #9bc116 100%);
    transition: all 300ms;
}

.login-btn:hover,
.login-btn:focus {
    box-shadow: 0 0 30px rgb(143 186 22 / 47%);
    background: #9bc116;
    background: -webkit-gradient(linear, left top, right top, from(#9bc116), to(#378a15));
    background: -webkit-gradient(linear, left top, right top, color-stop(0, #9bc116), to(#378a15));
    background: -webkit-linear-gradient(left, #9bc116 0, #378a15 100%);
    background: -o-linear-gradient(left, #9bc116 0, #378a15 100%);
    background: linear-gradient(to right, #9bc116 0, #378a15 100%);
}

.footer {
    position: absolute;
    bottom: 0;
    padding: 20px 40px;
    font-size: 12px;
    text-align: right;
    width: 100%;
    color: #ffffff;
}

.show-password {
    position: absolute;
    right: 25px;
    top: 15px;
    cursor: pointer;
}


/*mobile*/
@media screen and (max-width: 767px) {
    .footer {
        padding: 20px;
        text-align: center;
    }
}